ru.bitel.bgbilling.plugins.fias.server.bean

## Class HouseLoadManager

- java.lang.Object
- - ru.bitel.bgbilling.plugins.fias.server.bean.BaseLoadManager
  - - ru.bitel.bgbilling.plugins.fias.server.bean.HouseLoadManager

-     public class HouseLoadManager
      extends BaseLoadManager

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.plugins.fias.server.bean.BaseLoadManager

      `ADDRESS_CITY, ADDRESS_HOUSE, ADDRESS_STREET, con, FIAS_CITY_MAP, FIAS_HOUSE_MAP, FIAS_HOUSE_TEMP, FIAS_STREET_MAP, FIAS_STREET_TEMP, logger, PROFILE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HouseLoadManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAllHouse()`
    `void` | `createNewTempTable(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street street)`
    `void` | `createNewTempTableForCity(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City city)`
    `java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.House>` | `findHouseInFias(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.House house)`
    `ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.House` | `getNextHouse(int streetId)`
    `ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street` | `getNonSyncStreet()`
    `int` | `getStreetCountWithoutSync()`
    `void` | `setHouseAndFrac(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.House house)`
    `void` | `syncHouse(java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City> citys, boolean loadNew)`
    `void` | `syncHouseFromMapTable()`
    `void` | `updateHouse(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.House house)`
    `void` | `updateStreetStatus(int streetId, int status)`

    - ### Methods inherited from class ru.bitel.bgbilling.plugins.fias.server.bean.BaseLoadManager

      `clearFiasTable, exceptionLog, executeQuery, executeQuery, loadAddressObjFromRs, loadCityFromRs`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HouseLoadManager

          public HouseLoadManager(java.sql.Connection con)

  - ### Method Detail

    - #### getStreetCountWithoutSync

          public int getStreetCountWithoutSync()
                                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getNonSyncStreet

          public ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street getNonSyncStreet()
                                                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### createNewTempTable

          public void createNewTempTable(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.Street street)
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateHouse

          public void updateHouse(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.House house)
                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addAllHouse

          public void addAllHouse()
                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getNextHouse

          public ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.House getNextHouse(int streetId)
                                                                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### findHouseInFias

          public java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.House> findHouseInFias(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.House house)
                                                                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateStreetStatus

          public void updateStreetStatus(int streetId,
                                         int status)

    - #### setHouseAndFrac

          public void setHouseAndFrac(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.House house)

    - #### syncHouse

          public void syncHouse(java.util.List<ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City> citys,
                                boolean loadNew)
                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### createNewTempTableForCity

          public void createNewTempTableForCity(ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.City city)
                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### syncHouseFromMapTable

          public void syncHouseFromMapTable()